tmp = {VIIRS_INFO, name:'', long_name:'', units:'', valid_range:[0.,0.], scale_factor:0.0, add_offset:0, _FillValue:0.0}

viirsIPaero = replicate({VIIRS_INFO}, 3)

viirsIPaero[0] = {VIIRS_INFO, 'angexp', 'Angstrom Exponent (Land: 445,672 nm; Ocean: 865,1610 nm)', 'none', [-2, 10], 1.0, 0, -999.9}
viirsIPaero[1] = {VIIRS_INFO, 'aotSlant550', 'Slant path AOT at 550 nm', 'none', [-1, 10], 1.0, 0, -999.9}
viirsIPaero[2] = {VIIRS_INFO, 'faot550', 'Aerosol Optical Thickness at 550 nm', 'none', [-1, 10], 1.0, 0, -999.9}

viirsMODgeo = replicate({VIIRS_INFO}, 15) 

viirsMODgeo[0] = {VIIRS_INFO, 'StartTime', 'Start time of scan in IET', 'micoseconds', [0,2E+15], 1.0, 0, -999.9}
viirsMODgeo[1] = {VIIRS_INFO, 'MidTime', 'Mid-time of scan in IET', 'micoseconds', [0,2E+15], 1.0, 0, -999.9}
viirsMODgeo[2] = {VIIRS_INFO, 'Latitude', 'Geodetic Latitude', 'degrees east', [-90,90], 1.0, 0, -999.9}
viirsMODgeo[3] = {VIIRS_INFO, 'Longitude', 'Geodetic Longitude', 'degrees north', [-180,180], 1.0, 0, -999.9}
viirsMODgeo[4] = {VIIRS_INFO, 'SolarZenithAngle', 'Solar Zenith Angle', 'degrees', [0,180], 1.0, 0, -999.9}
viirsMODgeo[5] = {VIIRS_INFO, 'SolarAzimuthAngle', 'Solar Azimuth Angle', 'degrees', [-180,180], 1, 0, -999.9}
viirsMODgeo[6] = {VIIRS_INFO, 'SatelliteZenithAngle', 'Satellite Azimuth Angle', 'degrees', [0,70], 1.0, 0, -999.9}
viirsMODgeo[7] = {VIIRS_INFO, 'SatelliteAzimuthAngle', 'Satellite Azimuth Angle', 'degrees', [-180,180], 1.0, 0, -999.9}
viirsMODgeo[8] = {VIIRS_INFO, 'Height', 'Height above Mean Sea Level', 'meters',  [0,9000], 1.0, 0, -999.9}
viirsMODgeo[9] = {VIIRS_INFO, 'SatelliteRange', 'Satellite Range', 'meters', [0,1E7], 1.0, 0, -999.9}
viirsMODgeo[10] = {VIIRS_INFO, 'SCPosition', 'Spacecraft position in ECR Coordinates (x,y,z)', 'meters', [-1E7,1E+7], 1.0, 0, -999.9}
viirsMODgeo[11] = {VIIRS_INFO, 'SCVelocity', 'Spacecraft velocity in ECR Coordinates(dx/dt,dy/dt,dz/dt)', 'meters/second', [-5000,10000], 1.0, 0, -999.9}
viirsMODgeo[12] = {VIIRS_INFO, 'SCAttitude', 'Spacecraft Attitude (roll,pitch,yaw)', 'arcsecond',[-100,100] , 1.0, 0, -999.9}
viirsMODgeo[13] = {VIIRS_INFO, 'SCSolarZenithAngle', 'Spacecraft Solar Zenith Angle', 'degrees', [0,180], 1.0, 0, -999.9}
viirsMODgeo[14] = {VIIRS_INFO, 'SCSolarAzimuthAngle', 'Spacecraft Solar Azimuth Angle', 'degrees', [-180,180], 1.0, 0, -999.9}

viirsEDRaero = replicate({VIIRS_INFO}, 13)

viirsEDRaero[0] = {VIIRS_INFO, 'AerosolOpticalDepth_at_412nm', 'Aerosol Optical Depth Interpolated to 412 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[1] = {VIIRS_INFO, 'AerosolOpticalDepth_at_445nm', 'Aerosol Optical Depth Interpolated to 445 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[2] = {VIIRS_INFO, 'AerosolOpticalDepth_at_488nm', 'Aerosol Optical Depth Interpolated to 488 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[3] = {VIIRS_INFO, 'AerosolOpticalDepth_at_555nm', 'Aerosol Optical Depth Interpolated to 555 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[4] = {VIIRS_INFO, 'AerosolOpticalDepth_at_672nm', 'Aerosol Optical Depth Interpolated to 672 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[5] = {VIIRS_INFO, 'AerosolOpticalDepth_at_746nm', 'Aerosol Optical Depth Interpolated to 746 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[6] = {VIIRS_INFO, 'AerosolOpticalDepth_at_865nm', 'Aerosol Optical Depth Interpolated to 865 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[7] = {VIIRS_INFO, 'AerosolOpticalDepth_at_1240nm', 'Aerosol Optical Depth Interpolated to 1240 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[8] = {VIIRS_INFO, 'AerosolOpticalDepth_at_1610nm', 'Aerosol Optical Depth Interpolated to 1610 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[9] = {VIIRS_INFO, 'AerosolOpticalDepth_at_2250nm', 'Aerosol Optical Depth Interpolated to 2250 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[10] = {VIIRS_INFO, 'AerosolOpticalDepth_at_550nm', 'Aerosol Optical Depth at 550 nm', 'none', [-1, 10], .001d, 0, -9999}
viirsEDRaero[11] = {VIIRS_INFO, 'AngstromExponent', 'Aerosol Angstrom Exponent(Land: 445,672 nm; Ocean: 865,1610 nm)', 'none', [-2, 10], .001d, 0, -9999}
viirsEDRaero[12] = {VIIRS_INFO, 'SmallModeFraction', 'Small Mode Fraction (Ocean Only)', 'percent', [0, 100], 1, 0, 255}

viirsEDRgeo = replicate({VIIRS_INFO}, 13)

viirsEDRgeo[0] = {VIIRS_INFO, 'StartTime', 'Start time of scan in IET', 'micoseconds', [0,2E+15], 1.0, 0, -999.9}
viirsEDRgeo[1] = {VIIRS_INFO, 'MidTime', 'Mid-time of scan in IET', 'micoseconds', [0,2E+15], 1.0, 0, -999.9}
viirsEDRgeo[2] = {VIIRS_INFO, 'Latitude', 'Geodetic Latitude', 'degrees east', [-90,90], 1.0, 0, -999.9}
viirsEDRgeo[3] = {VIIRS_INFO, 'Longitude', 'Geodetic Longitude', 'degrees north', [-180,180], 1.0, 0, -999.9}
viirsEDRgeo[4] = {VIIRS_INFO, 'SolarZenithAngle', 'Solar Zenith Angle', 'degrees', [0,180], 1.0, 0, -999.9}
viirsEDRgeo[5] = {VIIRS_INFO, 'SolarAzimuthAngle', 'Solar Azimuth Angle', 'degrees', [-180,180], 1.0, 0, -999.9}
viirsEDRgeo[6] = {VIIRS_INFO, 'SatelliteZenithAngle', 'Satellite Azimuth Angle', 'degrees', [0,70], 1.0, 0, -999.9}
viirsEDRgeo[7] = {VIIRS_INFO, 'SatelliteAzimuthAngle', 'Satellite Azimuth Angle', 'degrees', [-180,180], 1.0, 0, -999.9}
viirsEDRgeo[8] = {VIIRS_INFO, 'Height', 'Height above Mean Sea Level', 'meters', [0,9000], 1.0, 0, -999.9}
viirsEDRgeo[9] = {VIIRS_INFO, 'SatelliteRange', 'Satellite Range', 'meters', [0,1E7], 1.0, 0, -999.9}
viirsEDRgeo[10] = {VIIRS_INFO, 'SCPosition', 'Spacecraft position in ECR Coordinates (x,y,z)', 'meters', [-1E7,1E7], 1.0, 0, -999.9}
viirsEDRgeo[11] = {VIIRS_INFO, 'SCVelocity', 'Spacecraft velocity in ECR Coordinates(dx/dt,dy/dt,dz/dt)', 'meters/second', [-5000,10000], 1.0, 0, -999.9}
viirsEDRgeo[12] = {VIIRS_INFO, 'SCAttitude', 'Spacecraft Attitude (roll,pich,yaw)', 'arcsecond',[-100,100] , 1.0, 0, -999.9}
